package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class JsacbsVo extends AbstractCommonVo {
    private CbbVo max;

    private CbbVo max1;

    private CbbVo opn1;

    private CbbVo max2;

    private CbbVo opn2;

    private CbbVo max3;

    private CbbVo opn3;

    private CbbVo max4;

    private CbbVo opn4;

    @Override
    public void reset() {
        if (max == null) {
            max = new CbbVo();
        }
        if (max1 == null) {
            max1 = new CbbVo();
        }
        if (opn1 == null) {
            opn1 = new CbbVo();
        }
        if (max2 == null) {
            max2 = new CbbVo();
        }
        if (opn2 == null) {
            opn2 = new CbbVo();
        }
        if (max3 == null) {
            max3 = new CbbVo();
        }
        if (opn3 == null) {
            opn3 = new CbbVo();
        }
        if (max4 == null) {
            max4 = new CbbVo();
        }
        if (opn4 == null) {
            opn4 = new CbbVo();
        }
    }

}
